Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #434 (closed defect: wontfix)

Opened 13 years ago

Last modified 12 years ago

build-dmd.bat should do a sanity check on lib.exe

Reported by: Deewiant Assigned to: sean
Priority: normal Milestone: 0.99.3
Component: Packaging Version: 0.97 RC1
Keywords: Cc: deewiant@gmail.com

Description

lib.exe is not that rare a file name: it's possible that the Digital Mars Librarian is not the first such executable in the system path. In my case, for instance, it's "Microsoft (R) Library Manager" packaged with MASM.

On *nix systems this probably isn't a problem due to the environment variable AR, but at least on Windows something like checking what the first line of "lib -h" reads is IMHO in order. For completeness, this could, of course, be done in the build-*.sh shell scripts as well.

To be pedantic, for further completeness, you could check dmc, dmd, make, etc. but I don't think there are that many programs called "dmc" or "dmd", and the various make programs are generally compatible with each other's syntax, so that's probably not necessary.

Alternatively, one could ask the user for their DMD install directory or detect it somehow.

Change History

04/28/07 17:18:50 changed by larsivi

  • owner changed from larsivi to sean.

I don't plan to be any more pedantic about this in the .sh scripts. Giving to sean to consider the .bat case.

04/28/07 20:29:21 changed by Deewiant

  • cc set to deewiant@gmail.com.

09/30/07 23:08:48 changed by kris

  • milestone set to 0.99.2 RC5.

10/05/07 09:58:57 changed by larsivi

  • milestone changed from 0.99.2 RC5 to 0.99.3 RC6.

11/12/07 19:47:38 changed by sean

  • status changed from new to closed.
  • resolution set to wontfix.

If a user attempts to build Tango it is reasonable to expect them to do so from a command prompt that can build D programs. I don't plan to add any extra sanity checking for this.